{ pkgs, ... }:

{
  nixpkgs.config.permittedInsecurePackages = [
    "openssl-1.1.1w"
  ];

  environment.systemPackages = with pkgs; [
    pkgs.spotify
    pkgs.bitwarden-desktop
    pkgs.bitwarden-cli
    pkgs.dropbox
    pkgs.discord
    pkgs.prismlauncher
    libreoffice-qt
    hunspell
    hunspellDicts.en_US
    pkgs.boatswain
  ];

  programs.steam = {
    enable = true;
    remotePlay.openFirewall = true; # Open ports in the firewall for Steam Remote Play
    dedicatedServer.openFirewall = true; # Open ports in the firewall for Source Dedicated Server
    localNetworkGameTransfers.openFirewall = true; # Open ports in the firewall for Steam Local Network Game Transfers
  };
}
